count_edges {DiagrammeR} | R Documentation

## Get a count of all edges

### Description

From a graph object of class `dgr_graph`, get a count of edges in the graph.

### Usage

    count_edges(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a single-length numeric vector.

### Examples

    # Create a graph with a
    # path of nodes and 3
    # unconnected nodes
    graph <-
      create_graph() %>%
      add_path(n = 3) %>%
      add_n_nodes(n = 3)

    # Get a count of all edges
    # in the graph
    graph %>%
      count_edges()

[Package DiagrammeR version 1.0.1 Index]